Subject: Re: [PATCH net v2 2/4] bnxt_en: Fix skb recycling logic in bnxt_deliver_skb()

From: Jakub Kicinski <[email-masked]>
Date: Thu, 7 Dec 2023 10:41:30 -0800

On Thu, 7 Dec 2023 13:37:40 -0500 Andy Gospodarek wrote:
> That's a good suggestion.  To take it a step further...what about a
> third arg (bool) to build_skb that would automatically call
> skb_mark_for_recycle if the new 3rd arg was true?  I don't love the
> extra arg, but that would avoid duplicating the need to call
> skb_mark_for_recycle for all drivers that use the page pool for all
> data.

2x yes, would be great to have a function which just sets as recycling
by default; also don't love the extra arg / I could not come up with 
a nice API quickly :(